Skip to main content
GET
/
api
/
v1
/
agent
/
approvals
/
{approvalId}
Get a run approval
curl --request GET \
  --url https://api.melius.com/api/v1/agent/approvals/{approvalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-team-id: <api-key>'
import requests

url = "https://api.melius.com/api/v1/agent/approvals/{approvalId}"

headers = {
    "Authorization": "Bearer <token>",
    "x-team-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};

fetch('https://api.melius.com/api/v1/agent/approvals/{approvalId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "toolName": "<string>",
  "requestArgs": {},
  "result": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
  "message": "<string>"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>",
  "retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

approvalId
string<uuid>
required

Response

200

id
string<uuid>
required
sessionId
string<uuid>
required
toolName
string
required
status
enum<string>
required
Available options:
pending,
approved,
denied
requestArgs
object
required
result
object | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
Last modified on July 9, 2026